List whitelisted addresses
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
Return maximum limit items for a query; Max 100.
Start retrieving items starting at offset id
Can be one of the following: individual, exchange, baker, stakepool, contract, validator, node
Will find a match in any part of the value. Filter applies to the following fields: customerid, address, blockchain, label, memo, addresstype
bool; If true, include also addresses waiting for approval in the results.
Name of the blockchain network, eg. mainnet, testnet, or sepolia
uuid; UUID of the Taurus Network participant to whom the address belongs
Specify the score provider to filter on, or empty.Each provider has associated filter parameters that can be set.Supported values: ‘scorechain’, ‘coinfirm’, ‘chainalysis’, ‘elliptic’, ‘trmlabs’
By default when both Scorechain scores scoreInBelow and scoreOutBelow are provided, it returns the addresses matching (scoreInBelow AND scoreOutBelow). When scoreExclusive is set to true, it will return the addresses matching (scoreInBelow OR scoreOutBelow).
Filter addresses with a Coinfirm C-score above threshold.
Filter addresses by multiple Contract Types. Can be any of: GENERIC, CMTA20, CMTA20-KYC, CMTA20-RULEENGINE, CMTAT, ERC20, DEFI, ERC2771-PROXY-ADMIN, TERC1155A, GSN_FORWARDER, OPEN_ZEPPELIN_FORWARDER, TAURUS_CONTRACT_CREATOR, SMARTPY-FA2, SMARTPY-FA12, ASA, FIGMENT_STAKING
Deprecated: Use exchangeAccountIds instead
Deprecated: Use blockchain instead
Deprecated: Use scoreFilter instead. Can be either of the following: scorechain, coinfirm, chainalysis, elliptic, trmlabs
numeric; Deprecated: Use scoreFilter instead
numeric; Deprecated: Use scoreFilter instead
Deprecated: Use scoreFilter instead
Deprecated: Normalize rules containers in its own object
Deprecated: Use scoreFilter instead
Deprecated: Use scoreFilter instead
Deprecated: Use contractTypes instead